Bug 111778 - rdist with ssh patch
rdist with ssh patch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rdist (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.freebsd.org/cgi/cvsweb.cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 18:48 EST by Christopher McCrory
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 07:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2003-12-09 18:48:57 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. use ssh to rdist with passwd and/or banner
2.
3.
  
Actual results:
LOCAL ERROR: Unexpected input from server: "".

Expected results:
"success"

Additional info:
data coming in through stderr breaks rdist

patch
http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/net/rdist6/files/patch-ah?rev=1.1&content-type=text/plain


http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/rdist6/files/patch-ah
http://lists.debian.org/debian-devel/1996/debian-devel-199608/msg00475.html

priority normal (unless it breaks your stuff, then is is high )

ssh with passwd 
AND/OR
/etc/ssh/sshd_config:Banner /etc/issue.net
Comment 1 Christopher McCrory 2003-12-09 18:49:20 EST
for RHEL3 would be cool also

Comment 2 Phil Knirsch 2003-12-17 07:47:27 EST
Fixed in latest rawhide version rdist-6.1.5-31 and later.

A update for rdist for AS2.1 and RHEL3 is also planed in Q1/Q2 2004
with proper LFS support and loads of other cleanups, too.

Read ya, Phil
Comment 3 Christopher McCrory 2003-12-17 13:04:35 EST
Woot!

I actually use RHEL3
Is there a bugid for RHEL?

<sign>
Will beta test for binaries
</sign>
:)

( my internal rebuild is working fine, but I didn't think about LFS)

Comment 4 John Flanagan 2004-04-21 20:29:34 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-170.html

Note You need to log in before you can comment on or make changes to this bug.